@import "style.css";

.footer {
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 0 120px;
    background-color: var(--dark-blue);
}

.footer__nav {
    width: 100%;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 28px 0;
}

.footer__logo img {
    width: 120px;
    max-width: 100%;
    height: 60px;
    max-height: 100%;
}

.border__bottom {
    border-bottom: 1px solid var(--white);
}

.footer__contacts {
    display: flex;
    padding: 28px 0;
    gap: 10px;
}

.contact__group {
    display: flex;
    flex-direction: column;
    gap: 5px;
    color: var(--white);
    padding-bottom: 25px;
}

.contact__city {
    font-size: var(--font-base);
}

.contact__address {
    display: flex;
    align-items: flex-start;
    gap: 5px;
    position: relative;
}

.contact__address p, .contacts div p, .copy p, .copy div a {
    font-size: var(--font-sm);
    font-weight: 300;
}

.contact__address::after, .contacts::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -15px;
    width: 30px;
    height: 1px;
    background-color: var(--white);
}

.contacts {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    position: relative;
}

.contacts div {
    display: flex;
    align-items: center;
    gap: 5px;
}

.copy {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--white);
    padding: 28px 0;
}

.copy div {
     display: flex;
     gap: 20px;
}

.copy div a {
    text-decoration: none;
    color: var(--white);
}

@media (max-width: 900px) {
    .footer__contacts {
        flex-direction: column;
    }
    .footer {
        padding: 0 60px;
    }
    .footer__logo {
        width: 100%;
        display: flex;
        justify-content: center;
    }
    .footer__logo img {
        width: 100px;
        height: 50px;
    }
}

@media (max-width: 450px) {
    .footer {
        padding: 0 20px;
    }
}
